Rename startkde to starttde

pull/2/head
Timothy Pearson 13 years ago
parent d6e7c01d38
commit 5ddc4d2fa0

@ -107,7 +107,7 @@ option( BUILD_TDESU "Build tdesu" ${BUILD_ALL} )
option( BUILD_KDM "Build kdm" ${BUILD_ALL} ) option( BUILD_KDM "Build kdm" ${BUILD_ALL} )
option( BUILD_KSMSERVER "Build ksmserver" ${BUILD_ALL} ) option( BUILD_KSMSERVER "Build ksmserver" ${BUILD_ALL} )
option( BUILD_KSPLASHML "Build ksplashml" ${BUILD_ALL} ) option( BUILD_KSPLASHML "Build ksplashml" ${BUILD_ALL} )
option( BUILD_STARTKDE "Build startkde" ${BUILD_ALL} ) option( BUILD_STARTKDE "Build starttde" ${BUILD_ALL} )
option( BUILD_KFIND "Build kfind" ${BUILD_ALL} ) option( BUILD_KFIND "Build kfind" ${BUILD_ALL} )
option( BUILD_DRKONQI "Build drkonqi" ${BUILD_ALL} ) option( BUILD_DRKONQI "Build drkonqi" ${BUILD_ALL} )
option( BUILD_KDCOP "Build kdcop" ${BUILD_ALL} ) option( BUILD_KDCOP "Build kdcop" ${BUILD_ALL} )
@ -201,10 +201,10 @@ tde_conditional_add_subdirectory( BUILD_TSAK tsak )
tde_conditional_add_subdirectory( BUILD_KROOTBACKING krootbacking ) tde_conditional_add_subdirectory( BUILD_KROOTBACKING krootbacking )
tde_conditional_add_subdirectory( BUILD_TQT3INTEGRATION tqt3integration ) tde_conditional_add_subdirectory( BUILD_TQT3INTEGRATION tqt3integration )
##### install startkde & related stuff ########## ##### install starttde & related stuff ##########
if( BUILD_STARTKDE ) if( BUILD_STARTKDE )
install( PROGRAMS startkde DESTINATION ${BIN_INSTALL_DIR} ) install( PROGRAMS starttde DESTINATION ${BIN_INSTALL_DIR} )
endif() endif()

@ -2,7 +2,7 @@
* Trinity Base API Dox. * Trinity Base API Dox.
* *
* tdebase is the SVN module with the "basic applications" needed * tdebase is the SVN module with the "basic applications" needed
* for Trinity. These include startkde (a shell script to start the whole * for Trinity. These include starttde (a shell script to start the whole
* desktop), kdesktop (the desktop), konqueror (the browser and file- * desktop), kdesktop (the desktop), konqueror (the browser and file-
* manager) and lots of other things. Nearly none of it has dox. * manager) and lots of other things. Nearly none of it has dox.
* *

@ -9,7 +9,7 @@ COMPILE_AFTER_kcontrol = kdm kdesktop
AUTOMAKE_OPTIONS = foreign 1.6.1 AUTOMAKE_OPTIONS = foreign 1.6.1
bin_SCRIPTS = startkde trinity bin_SCRIPTS = starttde trinity
EXTRA_DIST = admin bsd-port debian tdebase.spec.in README.pam kde.pamd kscreensaver.pamd mkpamserv EXTRA_DIST = admin bsd-port debian tdebase.spec.in README.pam kde.pamd kscreensaver.pamd mkpamserv

@ -377,16 +377,16 @@ calling them, you can only benefit fully from &kde;'s advanced
features if you use the &kde; window manager and its helper features if you use the &kde; window manager and its helper
programs.</para> programs.</para>
<para>In order to make it easy for you, we have provided a simple <para>In order to make it easy for you, we have provided a simple
script called <filename>startkde</filename> which gets installed in <filename script called <filename>starttde</filename> which gets installed in <filename
class="directory">$<envar>KDEDIR</envar>/bin</filename> and is therefore in your class="directory">$<envar>KDEDIR</envar>/bin</filename> and is therefore in your
path.</para> path.</para>
<para>Edit the file <filename>.xinitrc</filename> in your home folder (make a backup <para>Edit the file <filename>.xinitrc</filename> in your home folder (make a backup
copy first!), remove everything that looks like calling a window copy first!), remove everything that looks like calling a window
manager, and insert <command>startkde</command> instead. Restart the &X-Server;. If you use manager, and insert <command>starttde</command> instead. Restart the &X-Server;. If you use
&kdm;/<application>xdm</application>, you will have to edit the file <filename>.xsession</filename> instead of &kdm;/<application>xdm</application>, you will have to edit the file <filename>.xsession</filename> instead of
<filename>.xinitrc</filename>. And if there is no <filename>.xinitrc</filename> or <filename>.xsession</filename> in your home <filename>.xinitrc</filename>. And if there is no <filename>.xinitrc</filename> or <filename>.xsession</filename> in your home
folder, simply create a new one with just one line containing folder, simply create a new one with just one line containing
<command>startkde</command>. <command>starttde</command>.
<note> <note>
<para>Some systems (notably &RedHat; &Linux;) use <filename>.Xclients</filename> <para>Some systems (notably &RedHat; &Linux;) use <filename>.Xclients</filename>
instead.</para> instead.</para>
@ -420,19 +420,19 @@ can lead to problems if you are not careful. </para>
</qandaentry> </qandaentry>
<qandaentry> <qandaentry>
<question id="startkde"> <question id="starttde">
<para>How do I start &kde;?</para> <para>How do I start &kde;?</para>
</question> </question>
<answer> <answer>
<para>The most comfortable method to start &kde; is to use the <para>The most comfortable method to start &kde; is to use the
<filename>startkde</filename> script. Simply put the line <filename>starttde</filename> script. Simply put the line
<command>startkde</command> at the end of your <filename>.xsession</filename> <command>starttde</command> at the end of your <filename>.xsession</filename>
file (or your <filename>.xinitrc</filename> or <filename>.Xclients</filename> file (or your <filename>.xinitrc</filename> or <filename>.Xclients</filename>
file if you are not using &kdm; or <application>xdm</application>). Please file if you are not using &kdm; or <application>xdm</application>). Please
also remove the lines that start your previous window manager. If there is no also remove the lines that start your previous window manager. If there is no
<filename>.xsession</filename>, <filename>.xinitrc</filename>, or <filename>.xsession</filename>, <filename>.xinitrc</filename>, or
<filename>.Xclients</filename> in your home folder, simply create a new one <filename>.Xclients</filename> in your home folder, simply create a new one
that contains just one line: <command>startkde</command>.</para> that contains just one line: <command>starttde</command>.</para>
</answer> </answer>
</qandaentry> </qandaentry>
<!-- Still needed? <!-- Still needed?
@ -524,16 +524,16 @@ screen, so this option will not work.</para>
<qandaentry> <qandaentry>
<question> <question>
<para><command>startkde</command> fails with <errorname>can not connect to X <para><command>starttde</command> fails with <errorname>can not connect to X
server</errorname>. What is wrong?</para> server</errorname>. What is wrong?</para>
</question> </question>
<answer> <answer>
<para>You probably tried to start the X server with <command>startkde</command>. The X <para>You probably tried to start the X server with <command>starttde</command>. The X
server is started with <command>startx</command>. server is started with <command>startx</command>.
<command>startkde</command> is the <command>starttde</command> is the
script that should be run from your <filename>.xinitrc</filename>, <filename>.xsession</filename>, or script that should be run from your <filename>.xinitrc</filename>, <filename>.xsession</filename>, or
<filename>.Xclients</filename> to activate the window manager and the necessary server <filename>.Xclients</filename> to activate the window manager and the necessary server
daemons for &kde;. See also <xref linkend="startkde"/>.</para> daemons for &kde;. See also <xref linkend="starttde"/>.</para>
</answer> </answer>
</qandaentry> </qandaentry>

@ -126,7 +126,7 @@ the next step</para>
<filename>~/.xinitrc</filename> to start your preferred window manager <filename>~/.xinitrc</filename> to start your preferred window manager
or desktop environment.</para> or desktop environment.</para>
<para>For &kde; you should enter:</para> <para>For &kde; you should enter:</para>
<screen><userinput>startkde</userinput></screen> <screen><userinput>starttde</userinput></screen>
<para>For other window managers or desktop environments, you should <para>For other window managers or desktop environments, you should
look in their documentation for the correct command.</para> look in their documentation for the correct command.</para>
</step> </step>

@ -357,8 +357,8 @@ programs here (and not links to removable media, like CDs).</para>
</sect1info> </sect1info>
<title>Logging In and Logging Out</title> <title>Logging In and Logging Out</title>
<para>Basic KDM &amp; startkde stuff.</para> <para>Basic KDM &amp; starttde stuff.</para>
<!-- Not sure what exactly to say about startkde and where to say it --> <!-- Not sure what exactly to say about starttde and where to say it -->
<!-- (Phil) --> <!-- (Phil) -->
<para>There are two ways to log into &kde;: graphically and via the <para>There are two ways to log into &kde;: graphically and via the
command line. We'll look at them both briefly:</para> command line. We'll look at them both briefly:</para>
@ -382,12 +382,12 @@ it is done, &kde; will be ready to use.</para>
<sect2 id="logging-in-via-cmdline"> <sect2 id="logging-in-via-cmdline">
<title>Logging in via the Command Line</title> <title>Logging in via the Command Line</title>
<indexterm><primary><command>startkde</command></primary></indexterm> <indexterm><primary><command>starttde</command></primary></indexterm>
<indexterm><primary><command>startx</command></primary></indexterm> <indexterm><primary><command>startx</command></primary></indexterm>
<para>If you prefer using the command line, you can log in to &kde; <para>If you prefer using the command line, you can log in to &kde;
with the <command>startx</command> command. Add the line with the <command>startx</command> command. Add the line
<userinput>exec startkde</userinput> to the <userinput>exec starttde</userinput> to the
<filename>.xinitrc</filename> file in your home folder (create it <filename>.xinitrc</filename> file in your home folder (create it
if it does not exist), save the file, and then run if it does not exist), save the file, and then run
<command>startx</command>. &kde; should start in the same way as if <command>startx</command>. &kde; should start in the same way as if

@ -811,7 +811,7 @@ Startup - <filename>/etc/X11/xdm/Xstartup</filename> - prepare as root
Session - <filename>/etc/X11/xdm/Xsession</filename> - starts session as user Session - <filename>/etc/X11/xdm/Xsession</filename> - starts session as user
</member> </member>
<member> <member>
= For a KDE session: <command>kde</command> or <command>startkde</command> = For a KDE session: <command>kde</command> or <command>starttde</command>
</member> </member>
<member> <member>
= If present <filename>~/.xsession</filename> or <filename>~/.xinitrc</filename> = If present <filename>~/.xsession</filename> or <filename>~/.xinitrc</filename>
@ -823,13 +823,13 @@ Reset - <filename>/etc/X11/xdm/Xreset</filename> - after session finished
</sect2> </sect2>
<sect2 id="startkde"> <sect2 id="starttde">
<title>The &kde; Startup Script: <command>startkde</command></title> <title>The &kde; Startup Script: <command>starttde</command></title>
<para>The &kde; startup sequence starts with the <para>The &kde; startup sequence starts with the
<filename>startkde</filename> script. In most cases this script gets called <filename>starttde</filename> script. In most cases this script gets called
from the display manager (&kdm;) once the user has been authenticated. Their from the display manager (&kdm;) once the user has been authenticated. Their
are two very important lines in the <filename>startkde</filename> are two very important lines in the <filename>starttde</filename>
script:</para> script:</para>
<programlisting> <programlisting>
@ -945,7 +945,7 @@ programs started as <acronym>KLM</acronym>s.</para>
<para>When <command>tdeinit</command> starts for the first time it will <para>When <command>tdeinit</command> starts for the first time it will
launch <command>dcopserver</command>, <command>klauncher</command>, and launch <command>dcopserver</command>, <command>klauncher</command>, and
<command>kded</command>, as well as any additional programs specified on its <command>kded</command>, as well as any additional programs specified on its
command line in the <command>startkde</command> script, normally command line in the <command>starttde</command> script, normally
<command>kcminit</command> and <command>knotify</command>.</para> <command>kcminit</command> and <command>knotify</command>.</para>
</sect2> </sect2>
@ -1184,7 +1184,7 @@ class="username">root</systemitem>.</para>
<varlistentry><term>$<envar>KDEWM</envar></term><listitem><para>If the <varlistentry><term>$<envar>KDEWM</envar></term><listitem><para>If the
<envar>KDEWM</envar> environment variable has been set, then it will <envar>KDEWM</envar> environment variable has been set, then it will
be used as &kde;'s window manager within the be used as &kde;'s window manager within the
<command>startkde</command> script instead of &twin;.</para> <command>starttde</command> script instead of &twin;.</para>
</listitem> </listitem>
</varlistentry> </varlistentry>
@ -1626,7 +1626,7 @@ class="directory">$<envar>KDEDIR</envar>/apps/kdesktop/DesktopLinks</filename>
merged)</para></listitem> merged)</para></listitem>
<listitem><para>Distribution Specific SUSE Linux copies certain icons <listitem><para>Distribution Specific SUSE Linux copies certain icons
in startkde.theme from <filename in starttde.theme from <filename
class="directory">/opt/trinity/share/config/SuSE/default/</filename></para></listitem> class="directory">/opt/trinity/share/config/SuSE/default/</filename></para></listitem>
</itemizedlist> </itemizedlist>
@ -2356,7 +2356,7 @@ there.</para>
<title>Making it Work</title> <title>Making it Work</title>
Making It Work Making It Work
KDE 3.2: Set $KDEDIRS from startkde script KDE 3.2: Set $KDEDIRS from starttde script
Distribute profiles to all clients Distribute profiles to all clients
</para> </para>

@ -231,7 +231,7 @@ extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
} }
close( ready[ 0 ] ); close( ready[ 0 ] );
startup = ( strcmp( argv[ 0 ], "kcminit_startup" ) == 0 ); // started from startkde? startup = ( strcmp( argv[ 0 ], "kcminit_startup" ) == 0 ); // started from starttde?
KLocale::setMainCatalogue("kcontrol"); KLocale::setMainCatalogue("kcontrol");
KAboutData aboutData( "kcminit", I18N_NOOP("KCMInit"), KAboutData aboutData( "kcminit", I18N_NOOP("KCMInit"),

@ -259,7 +259,7 @@ KDE3.1 -> KDE3.2
configuring StarOffice - as this requires some other files to be modified, which won't be possible if SO has been installed configuring StarOffice - as this requires some other files to be modified, which won't be possible if SO has been installed
by root. by root.
...Also to accomplish this, some changes are needed to 'startkde' - see file README.startkde ...Also to accomplish this, some changes are needed to 'starttde' - see file README.starttde
11. Because of the above, when started as non-root, KFontinst will create Type1 and TrueType sub-folders in 11. Because of the above, when started as non-root, KFontinst will create Type1 and TrueType sub-folders in
$KDEHOME/share/fonts - if they do not already exist. $KDEHOME/share/fonts - if they do not already exist.

@ -195,7 +195,7 @@ void KPluginOptions::load( bool useDefaults )
config->setReadDefaults( useDefaults ); config->setReadDefaults( useDefaults );
config->setGroup("Misc"); config->setGroup("Misc");
m_widget->scanAtStartup->setChecked( config->readBoolEntry( "startkdeScan", false ) ); m_widget->scanAtStartup->setChecked( config->readBoolEntry( "starttdeScan", false ) );
m_widget->dirEdit->setURL(""); m_widget->dirEdit->setURL("");
m_widget->dirEdit->setEnabled( false ); m_widget->dirEdit->setEnabled( false );
@ -242,7 +242,7 @@ void KPluginOptions::save()
pluginSave( config ); pluginSave( config );
config->setGroup("Misc"); config->setGroup("Misc");
config->writeEntry( "startkdeScan", m_widget->scanAtStartup->isChecked() ); config->writeEntry( "starttdeScan", m_widget->scanAtStartup->isChecked() );
config->writeEntry( "HTTP URLs Only", enableHTTPOnly->isChecked() ); config->writeEntry( "HTTP URLs Only", enableHTTPOnly->isChecked() );
config->writeEntry( "demandLoad", enableUserDemand->isChecked() ); config->writeEntry( "demandLoad", enableUserDemand->isChecked() );
config->writeEntry("Nice Level", (int)(100 - priority->value()) / 5); config->writeEntry("Nice Level", (int)(100 - priority->value()) / 5);

@ -200,7 +200,7 @@ TQString KTheme::createYourself( bool pack )
KConfig * soundConf = new KConfig( "knotify.eventsrc", true ); KConfig * soundConf = new KConfig( "knotify.eventsrc", true );
TQStringList stdEvents; TQStringList stdEvents;
stdEvents << "cannotopenfile" << "catastrophe" << "exitkde" << "fatalerror" stdEvents << "cannotopenfile" << "catastrophe" << "exitkde" << "fatalerror"
<< "notification" << "printerror" << "startkde" << "warning" << "notification" << "printerror" << "starttde" << "warning"
<< "messageCritical" << "messageInformation" << "messageWarning" << "messageCritical" << "messageInformation" << "messageWarning"
<< "messageboxQuestion"; << "messageboxQuestion";

@ -279,7 +279,7 @@ extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
myApp->config()->reparseConfiguration(); myApp->config()->reparseConfiguration();
} }
// for the KDE-already-running check in startkde // for the KDE-already-running check in starttde
KSelectionOwner kde_running( "_KDE_RUNNING", 0 ); KSelectionOwner kde_running( "_KDE_RUNNING", 0 );
kde_running.claim( false ); kde_running.claim( false );

@ -98,7 +98,7 @@ if they affect the configuration.
* The default Xsession no longer tries to merge kdm's PATH into the * The default Xsession no longer tries to merge kdm's PATH into the
one set up by the shell startup scripts. Instead, kde.desktop one set up by the shell startup scripts. Instead, kde.desktop
contains a full pathname and startkde fixes up PATH if necessary. contains a full pathname and starttde fixes up PATH if necessary.
* The default Xsession will emulate the startup behaviour of more * The default Xsession will emulate the startup behaviour of more
shells, in particular bash, zsh and csh/tcsh. shells, in particular bash, zsh and csh/tcsh.
* Setting up the session log is now done by kdm, not the Session * Setting up the session log is now done by kdm, not the Session
@ -144,7 +144,7 @@ if they affect the configuration.
* Session types are now defined with .desktop files; consequently the * Session types are now defined with .desktop files; consequently the
SessionTypes option is gone and we got SessionsDirs instead. SessionTypes option is gone and we got SessionsDirs instead.
* The default Xsession now hard-wires the session types * The default Xsession now hard-wires the session types
- "default" to startkde - "default" to starttde
- "custom" to ~/.xsession - "custom" to ~/.xsession
* The previous session type choice is now saved in a different file * The previous session type choice is now saved in a different file
(~/.dmrc) in a different format (ini-file); the SessSaveFile option (~/.dmrc) in a different format (ini-file); the SessSaveFile option

@ -1,8 +1,8 @@
[Desktop Entry] [Desktop Entry]
Encoding=UTF-8 Encoding=UTF-8
Type=XSession Type=XSession
Exec=@TDE_BIN_DIR@/startkde Exec=@TDE_BIN_DIR@/starttde
TryExec=@TDE_BIN_DIR@/startkde TryExec=@TDE_BIN_DIR@/starttde
Name=TDE Name=TDE
Name[hi]= Name[hi]=
Name[mn]=КДЭ Name[mn]=КДЭ

@ -1,8 +1,8 @@
[Desktop Entry] [Desktop Entry]
Encoding=UTF-8 Encoding=UTF-8
Type=XSession Type=XSession
Exec=@TDE_BINDIR@/startkde Exec=@TDE_BINDIR@/starttde
TryExec=@TDE_BINDIR@/startkde TryExec=@TDE_BINDIR@/starttde
Name=Trinity Name=Trinity
Name[hi]=केडीई Name[hi]=केडीई
Name[mn]=КДЭ Name[mn]=КДЭ

@ -24,13 +24,13 @@ Here's a short overview on how session management works.
Starting the server Starting the server
------------------- -------------------
The server is usually started from the 'startkde' script. It supports the following options: The server is usually started from the 'starttde' script. It supports the following options:
-r, --restore Restores the previous session if available -r, --restore Restores the previous session if available
-w, --windowmanager <wm> Starts 'wm' in case no other window manager is -w, --windowmanager <wm> Starts 'wm' in case no other window manager is
participating in the session. Default is 'twin' participating in the session. Default is 'twin'
The default 'startkde' launches 'ksmserver --restore'. The The default 'starttde' launches 'ksmserver --restore'. The
'windowmanager' option is useful for users that prefer a window 'windowmanager' option is useful for users that prefer a window
manager other than twin. Since the window manager has to participate manager other than twin. Since the window manager has to participate
in the session (it has to remember window positions and states), it is in the session (it has to remember window positions and states), it is
@ -47,13 +47,13 @@ KDE startup sequence
-------------------- --------------------
Ksmserver controls the second part of the KDE startup sequence, Ksmserver controls the second part of the KDE startup sequence,
after it gets control from the startkde script, which controls after it gets control from the starttde script, which controls
the first part of the startup sequence. All code related to startup the first part of the startup sequence. All code related to startup
should be in startup.cpp and going down in that source file should should be in startup.cpp and going down in that source file should
follow the startup order (but note that this is just a documentation follow the startup order (but note that this is just a documentation
which may get outdated, so in case of doubts the source wins ;) ). which may get outdated, so in case of doubts the source wins ;) ).
The startkde scripts already launches tdeinit, which in turns launches The starttde scripts already launches tdeinit, which in turns launches
KDE daemons like dcopserver, klauncher and kded. Kded loads autoloaded KDE daemons like dcopserver, klauncher and kded. Kded loads autoloaded
kded modules, i.e. those that have X-KDE-Kded-autoload=true in .desktop kded modules, i.e. those that have X-KDE-Kded-autoload=true in .desktop
files. The exact way autoloading works is controlled by X-KDE-Kded-phase=, files. The exact way autoloading works is controlled by X-KDE-Kded-phase=,
@ -68,7 +68,7 @@ Startkde also launches kcminit, which performs initialization done by kcontrol
modules. There are three kcminit phases, 0, 1 and 2, controlled modules. There are three kcminit phases, 0, 1 and 2, controlled
by X-KDE-Init-Phase= in the .desktop file, which defaults to 1. Phase 0 kcminit by X-KDE-Init-Phase= in the .desktop file, which defaults to 1. Phase 0 kcminit
modules should be only those that really need to be run early in the startup modules should be only those that really need to be run early in the startup
process (and those should probably actually use kstartupconfig in startkde process (and those should probably actually use kstartupconfig in starttde
to be done even before tdeinit and daemons). After executing phase 0 to be done even before tdeinit and daemons). After executing phase 0
modules kcminit returns and waits. modules kcminit returns and waits.
@ -91,7 +91,7 @@ i.e. launching all applications that were running during last session
saving (usually logout). saving (usually logout).
By this time KDE session is considered to be more or less ready and By this time KDE session is considered to be more or less ready and
ksmserver does the knotify startkde event (i.e. plays the login sound). ksmserver does the knotify starttde event (i.e. plays the login sound).
It also tells klauncher to perform autostart phase 2, kded to load all It also tells klauncher to perform autostart phase 2, kded to load all
remaining autoload (i.e. kded phase 2) modules, kcminit to execute remaining autoload (i.e. kded phase 2) modules, kcminit to execute
kcminit phase 2 (kcontrol modules that do initialization that can wait, kcminit phase 2 (kcontrol modules that do initialization that can wait,

@ -329,7 +329,7 @@ void KSMServer::autoStart2()
DCOPRef( "kcminit", "kcminit" ).send( "runPhase2" ); DCOPRef( "kcminit", "kcminit" ).send( "runPhase2" );
if( !defaultSession()) if( !defaultSession())
restoreLegacySession( KGlobal::config()); restoreLegacySession( KGlobal::config());
KNotifyClient::event( 0, "startkde" ); // this is the time KDE is up, more or less KNotifyClient::event( 0, "starttde" ); // this is the time KDE is up, more or less
} }
void KSMServer::autoStart2Done() void KSMServer::autoStart2Done()

@ -348,7 +348,7 @@ ThemeEngine *KSplash::_loadThemeEngine( const TQString& pluginName, const TQStri
{ {
// Since we may be called before the DCOP server is active, we cannot use the KTrader framework for obtaining plugins. In its // Since we may be called before the DCOP server is active, we cannot use the KTrader framework for obtaining plugins. In its
// place, we use the following naive heuristic to locate plugins. If we are not in managed mode, and we are not in testing mode // place, we use the following naive heuristic to locate plugins. If we are not in managed mode, and we are not in testing mode
// either, we assume that we have been called by startkde. In this case, we simply try to load the library whose name should // either, we assume that we have been called by starttde. In this case, we simply try to load the library whose name should
// conform to the following specification: // conform to the following specification:
// TQString("ksplash") + pluginName.lower() // TQString("ksplash") + pluginName.lower()
// The object should be called as follows: // The object should be called as follows:

@ -192,7 +192,7 @@ ProcessList::ProcessList(TQWidget *parent, const char* name)
aliases.insert("kwrapper", new TQString("kdeapp")); aliases.insert("kwrapper", new TQString("kdeapp"));
aliases.insert("kwrited", new TQString("kdeapp")); aliases.insert("kwrited", new TQString("kdeapp"));
aliases.insert("kxmlrpcd", new TQString("kdeapp")); aliases.insert("kxmlrpcd", new TQString("kdeapp"));
aliases.insert("startkde", new TQString("kdeapp")); aliases.insert("starttde", new TQString("kdeapp"));
/* other processes */ /* other processes */
aliases.insert("bash", new TQString("shell")); aliases.insert("bash", new TQString("shell"));
aliases.insert("cat", new TQString("tools")); aliases.insert("cat", new TQString("tools"));

@ -90,7 +90,7 @@ extern "C"
{ {
KConfig *config = new KConfig("kcmnspluginrc", true /* readonly */, false /* no globals*/); KConfig *config = new KConfig("kcmnspluginrc", true /* readonly */, false /* no globals*/);
config->setGroup("Misc"); config->setGroup("Misc");
bool scan = config->readBoolEntry( "startkdeScan", false ); bool scan = config->readBoolEntry( "starttdeScan", false );
bool firstTime = config->readBoolEntry( "firstTime", true ); bool firstTime = config->readBoolEntry( "firstTime", true );
if( !scan ) if( !scan )

@ -3,15 +3,15 @@
# DEFAULT TRINITY STARTUP SCRIPT ( KDE-3.5.12 ) # DEFAULT TRINITY STARTUP SCRIPT ( KDE-3.5.12 )
# #
echo "[startkde] Starting startkde." 1>&2 echo "[starttde] Starting starttde." 1>&2
# When the X server dies we get a HUP signal from xinit. We must ignore it # When the X server dies we get a HUP signal from xinit. We must ignore it
# because we still need to do some cleanup. # because we still need to do some cleanup.
trap '[startkde] echo GOT SIGHUP' HUP trap '[starttde] echo GOT SIGHUP' HUP
# Check if a KDE session is already running. # Check if a KDE session is already running.
if kcheckrunning >/dev/null 2>&1; then if kcheckrunning >/dev/null 2>&1; then
echo "[startkde] KDE seems to be already running on this display." echo "[starttde] KDE seems to be already running on this display."
xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
exit 1 exit 1
fi fi
@ -71,18 +71,18 @@ fi
# $HOME/.kde as their preferred profile location for Trinity KDE. # $HOME/.kde as their preferred profile location for Trinity KDE.
if [ -n "$KDEHOME" ]; then if [ -n "$KDEHOME" ]; then
echo "[startkde] KDEHOME is preset to $KDEHOME." 1>&2 echo "[starttde] KDEHOME is preset to $KDEHOME." 1>&2
export KDEHOME=$KDEHOME export KDEHOME=$KDEHOME
else else
# $KDEHOME is NOT already preset in the environment. Try to help. # $KDEHOME is NOT already preset in the environment. Try to help.
# This might be overkill but does provide flexibility. # This might be overkill but does provide flexibility.
echo "[startkde] KDEHOME is not set." 1>&2 echo "[starttde] KDEHOME is not set." 1>&2
if [ -d $HOME/.trinity ]; then if [ -d $HOME/.trinity ]; then
# OK, this one is obvious. # OK, this one is obvious.
export KDEHOME=$HOME/.trinity export KDEHOME=$HOME/.trinity
elif [ -d $HOME/.trinity ]; then elif [ -d $HOME/.trinity ]; then
# Looks like the user had an old version of Trinity installed at last login # Looks like the user had an old version of Trinity installed at last login
echo "[startkde] Migrating old ~/.trinity directory to new ~/.trinity name." 1>&2 echo "[starttde] Migrating old ~/.trinity directory to new ~/.trinity name." 1>&2
mv $HOME/.trinity $HOME/.trinity mv $HOME/.trinity $HOME/.trinity
export KDEHOME=$HOME/.trinity export KDEHOME=$HOME/.trinity
elif [ -f /usr/bin/kde4-config ]; then elif [ -f /usr/bin/kde4-config ]; then
@ -107,12 +107,12 @@ else
# Resort to this and hope for the best! # Resort to this and hope for the best!
export KDEHOME=$HOME/.trinity export KDEHOME=$HOME/.trinity
fi fi
echo "[startkde] Set KDEHOME to $KDEHOME." 1>&2 echo "[starttde] Set KDEHOME to $KDEHOME." 1>&2
fi fi
# Run a quick test for root. # Run a quick test for root.
if [ -z "$KDEROOTHOME" ] && [ "$UID" = "0" ]; then if [ -z "$KDEROOTHOME" ] && [ "$UID" = "0" ]; then
echo "[startkde] User ID is $UID. Setting KDEROOTHOME to $KDEHOME." echo "[starttde] User ID is $UID. Setting KDEROOTHOME to $KDEHOME."
export KDEROOTHOME=$KDEHOME export KDEROOTHOME=$KDEHOME
fi fi
@ -163,7 +163,7 @@ if [ -d /opt/trinity ]; then
fi fi
test -n "$KDEHOME" && kdehome=`echo "$KDEHOME" | sed "s,^~/,$HOME/,"` test -n "$KDEHOME" && kdehome=`echo "$KDEHOME" | sed "s,^~/,$HOME/,"`
echo "[startkde] kdehome: $kdehome" 1>&2 echo "[starttde] kdehome: $kdehome" 1>&2
# Allow interested applications, such as the Plasma control wrapper, # Allow interested applications, such as the Plasma control wrapper,
# to know that this is a Trinity desktop and not a KDE one. # to know that this is a Trinity desktop and not a KDE one.
@ -387,8 +387,8 @@ if [ ! -n "$KDEDIR" ]; then
export KDEDIR=`echo "$KDEDIRS" | sed -e 's/:.*//'` export KDEDIR=`echo "$KDEDIRS" | sed -e 's/:.*//'`
fi fi
echo "[startkde] KDEDIR: $KDEDIR" 1>&2 echo "[starttde] KDEDIR: $KDEDIR" 1>&2
echo "[startkde] KDEDIRS: $KDEDIRS" 1>&2 echo "[starttde] KDEDIRS: $KDEDIRS" 1>&2
if test -n "$KDEDIRS"; then if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS" | sed -e 's/:.*//'` kdedirs_first=`echo "$KDEDIRS" | sed -e 's/:.*//'`
@ -401,9 +401,9 @@ fi
if test -n "$KDEDIRS"; then if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS" | sed -e 's/:.*//'` kdedirs_first=`echo "$KDEDIRS" | sed -e 's/:.*//'`
echo "[startkde] kdedirs_first: $kdedirs_first" echo "[starttde] kdedirs_first: $kdedirs_first"
if [ -r $kdedirs_first/share/kgtk/preload ]; then if [ -r $kdedirs_first/share/kgtk/preload ]; then
echo "[startkde] Reading from $kdedirs_first/share/kgtk/preload" echo "[starttde] Reading from $kdedirs_first/share/kgtk/preload"
read -r KGTK_PRELOAD < $kdedirs_first/share/kgtk/preload read -r KGTK_PRELOAD < $kdedirs_first/share/kgtk/preload
fi fi
else else
@ -464,7 +464,7 @@ fi
# environment variables. # environment variables.
for resource in tmp cache socket; do for resource in tmp cache socket; do
if ! lnusertemp $resource >/dev/null; then if ! lnusertemp $resource >/dev/null; then
echo "[startkde] Call to lnusertemp failed (temporary directories full?). Check your installation." 1>&2 echo "[starttde] Call to lnusertemp failed (temporary directories full?). Check your installation." 1>&2
xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation." xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
exit 1 exit 1
fi fi
@ -473,7 +473,7 @@ done
# In case of dcop sockets left by a previous session, cleanup. # In case of dcop sockets left by a previous session, cleanup.
dcopserver_shutdown dcopserver_shutdown
echo '[startkde] Starting Trinity...' 1>&2 echo '[starttde] Starting Trinity...' 1>&2
# Detect any running Xorg composition managers # Detect any running Xorg composition managers
$KDEDIR/bin/kdetcompmgr $KDEDIR/bin/kdetcompmgr
@ -481,10 +481,10 @@ $KDEDIR/bin/kdetcompmgr
# Run KPersonalizer before the session if this is the first login. # Run KPersonalizer before the session if this is the first login.
if test "$kpersonalizerrc_general_firstlogin" = "true"; then if test "$kpersonalizerrc_general_firstlogin" = "true"; then
if [ ! -x $KDEDIR/bin/kpersonalizer ]; then if [ ! -x $KDEDIR/bin/kpersonalizer ]; then
echo "[startkde] kpersonalizer not found! Please install it in order to properly configure your user profile." 1>&2 echo "[starttde] kpersonalizer not found! Please install it in order to properly configure your user profile." 1>&2
else else
# start only dcopserver, don't start whole tdeinit (takes too long) # start only dcopserver, don't start whole tdeinit (takes too long)
echo "[startkde] Running kpersonalizer..." 1>&2 echo "[starttde] Running kpersonalizer..." 1>&2
dcopserver dcopserver
twin --lock & twin --lock &
kpersonalizer --before-session kpersonalizer --before-session
@ -541,20 +541,20 @@ fi
TDE_FULL_SESSION=true TDE_FULL_SESSION=true
export TDE_FULL_SESSION export TDE_FULL_SESSION
xprop -root -f TDE_FULL_SESSION 8t -set TDE_FULL_SESSION true xprop -root -f TDE_FULL_SESSION 8t -set TDE_FULL_SESSION true
echo "[startkde] TDE_FULL_SESSION: $TDE_FULL_SESSION" 1>&2 echo "[starttde] TDE_FULL_SESSION: $TDE_FULL_SESSION" 1>&2
KDE_SESSION_UID=$UID KDE_SESSION_UID=$UID
export KDE_SESSION_UID export KDE_SESSION_UID
echo "[startkde] KDE_SESSION_UID: $KDE_SESSION_UID" 1>&2 echo "[starttde] KDE_SESSION_UID: $KDE_SESSION_UID" 1>&2
# We set LD_BIND_NOW to increase the efficiency of tdeinit. # We set LD_BIND_NOW to increase the efficiency of tdeinit.
# tdeinit unsets this variable before loading applications. # tdeinit unsets this variable before loading applications.
LD_BIND_NOW=true start_tdeinit_wrapper --new-startup +kcminit_startup LD_BIND_NOW=true start_tdeinit_wrapper --new-startup +kcminit_startup
if test $? -ne 0; then if test $? -ne 0; then
# Startup error # Startup error
echo '[startkde] Could not start tdeinit. Check your installation.' 1>&2 echo '[starttde] Could not start tdeinit. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start tdeinit. Check your installation." xmessage -geometry 500x100 "Could not start tdeinit. Check your installation."
fi fi
echo "[startkde] tdeinit started successfully." 1>&2 echo "[starttde] tdeinit started successfully." 1>&2
# If the session should be locked from the start (locked autologin), # If the session should be locked from the start (locked autologin),
# lock now and do the rest of the KDE startup underneath the locker. # lock now and do the rest of the KDE startup underneath the locker.
@ -579,7 +579,7 @@ test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
kwrapper ksmserver $KDEWM kwrapper ksmserver $KDEWM
if test $? -eq 255; then if test $? -eq 255; then
# Startup error # Startup error
echo '[startkde] Could not start ksmserver. Check your installation.' 1>&2 echo '[starttde] Could not start ksmserver. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start ksmserver. Check your installation." xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
fi fi
@ -588,7 +588,7 @@ while dcop | grep -q ^drkonqi- ; do
sleep 5 sleep 5
done done
echo '[startkde] Shutting down Trinity...' 1>&2 echo '[starttde] Shutting down Trinity...' 1>&2
# Clean up # Clean up
tdeinit_shutdown tdeinit_shutdown
@ -599,13 +599,13 @@ if [ -f /usr/bin/tdeinit4_shutdown ]; then
kde4 tdeinit4_shutdown 2>/dev/null kde4 tdeinit4_shutdown 2>/dev/null
fi fi
echo '[startkde] Running Trinity shutdown scripts...' 1>&2 echo '[starttde] Running Trinity shutdown scripts...' 1>&2
# Run scripts found in $KDEDIRS/shutdown # Run scripts found in $KDEDIRS/shutdown
for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
if [ -x "${prefix}${file}" ]; then if [ -x "${prefix}${file}" ]; then
echo "[startkde] Running ${prefix}${file}." 1>&2 echo "[starttde] Running ${prefix}${file}." 1>&2
sh ${prefix}${file} sh ${prefix}${file}
fi fi
done done
@ -616,4 +616,4 @@ xprop -root -remove TDE_FULL_SESSION
unset KDE_SESSION_UID unset KDE_SESSION_UID
# Initialize_Status_Header # Initialize_Status_Header
echo "[startkde] Trinity shutdown complete." 1>&2 echo "[starttde] Trinity shutdown complete." 1>&2

Loading…
Cancel
Save